> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Effect Info

> Get Effect Info



## OpenAPI

````yaml /api-reference/openapi.json get /api/effect/info
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/effect/info:
    get:
      tags:
        - Effect
      summary: Get Effect Info
      description: Get Effect Info
      operationId: getApiEffectInfo
      parameters:
        - in: query
          name: effectId
          schema:
            type: string
            pattern: ^\d+$
            description: Effect ID
            example: '321535'
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  sticker_infos:
                    type: array
                    items:
                      type: object
                      properties:
                        attributions:
                          type:
                            - string
                            - 'null'
                          description: Attributions for the effect, if applicable
                          example: null
                        children:
                          type: array
                          items:
                            type: string
                          description: List of child effects derived from this effect
                          example: []
                        desc:
                          type: string
                          description: Description of the effect
                          example: ''
                        effect_id:
                          type: string
                          description: Effect ID
                          example: '321535'
                        effect_source:
                          type: number
                          description: Source type of the effect
                          example: 0
                        extra:
                          type: string
                          description: >-
                            Additional metadata for the effect, stored as JSON
                            string
                          example: >-
                            {"prop_block_story":true,"zstFileSize":"282781","zstFileUri":"54635c330085ae4442197c03da11cd52","zipMd5":"cf79b19bcfb3acbc4cbbe6663f822af0"}
                        icon_url:
                          type: object
                          properties:
                            uri:
                              type: string
                              description: Internal URI for the effect icon
                              example: cfaa5ce4a49351ceb195197df28a788b
                            url_list:
                              type: array
                              items:
                                type: string
                              description: List of URLs for the effect icon images
                              example:
                                - >-
                                  https://lf16-effectcdn-sg.tiktokcdn.com/obj/ies.fe.effect.alisg/cfaa5ce4a49351ceb195197df28a788b
                            url_prefix:
                              type:
                                - string
                                - 'null'
                              description: >-
                                Optional URL prefix for constructing full icon
                                URLs
                              example: null
                        id:
                          type: string
                          description: Unique identifier of the effect (same as effect_id)
                          example: '321535'
                        is_top_effect_designer:
                          type: boolean
                          description: >-
                            Indicates whether the effect’s creator is a top
                            effect designer
                          example: false
                        linked_anchors:
                          type:
                            - string
                            - 'null'
                          description: Linked anchors or references for the effect, if any
                          example: null
                        name:
                          type: string
                          description: Name of the effect
                          example: Green Screen
                        owner_id:
                          type: string
                          description: User ID of the effect’s creator
                          example: ''
                        owner_nickname:
                          type: string
                          description: Nickname of the effect’s creator
                          example: Effect Assistant
                        owner_verified_type:
                          type: number
                          description: Verification type of the effect’s creator
                          example: 0
                        publish_time:
                          type: number
                          description: Unix timestamp (ms) when the effect was published
                          example: 1565699542000
                        sec_uid:
                          type: string
                          description: secUid of the effect’s creator
                          example: ''
                        tags:
                          type: array
                          items:
                            type: string
                          description: >-
                            Tags associated with the effect, used for filtering
                            and categorization
                          example:
                            - canStack
                            - camera front
                            - gs_enable_tt_effect_page_filter
                        user_count:
                          type: number
                          description: Total number of users who have used this effect
                          example: 1022772250
                        vv_count:
                          type: number
                          description: >-
                            Total number of views generated by videos using this
                            effect
                          example: 221123177392
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````